Bug 800486 - [RFE] rlMount* functions should check rpmbind/portmap state before mounting itself [NEEDINFO]
[RFE] rlMount* functions should check rpmbind/portmap state before mounting i...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Muller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 09:57 EST by Zbysek MRAZ
Modified: 2016-09-19 22:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 09:58:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pmuller: needinfo? (zmraz)


Attachments (Terms of Use)

  None (edit)
Description Zbysek MRAZ 2012-03-06 09:57:17 EST
Description of problem:
From time-to-time we are hitting the rlMount* functions problem, when the rpcbind/portmap is stopped. Then when the nfs isn't available, the tests which eg want to download source rpm are failing.

Thus will be great to have enhancement in rlMount* function to check the services availability and state first, before the mounting itself.
Comment 1 Petr Muller 2013-04-09 11:22:57 EDT
Could you be more specific on which services should be checked on which distros? My RHCE is long time expired... :)
Comment 2 Petr Muller 2013-06-07 07:04:23 EDT
needinfo ping

Note You need to log in before you can comment on or make changes to this bug.